package test;

import java.util.Properties;

import javax.naming.Context;
import javax.naming.InitialContext;

public class TestSelfRefClient
{
  public static void main (String [] args) throws Throwable
  {
    Properties env = new Properties();
    env.put(Context.INITIAL_CONTEXT_FACTORY, "org.jnp.interfaces.NamingContextFactory");
    env.put(Context.PROVIDER_URL, "jnp://localhost:1099");

    InitialContext ctx = new InitialContext(env);
    
    TestSelfRef testself = (TestSelfRef) ctx.lookup("testSelfRef/TestSelfRefBean/remote");
    for (int i=0; i<5; i++)
    {
      testself.method1();
    }
    System.out.println("Exiting...");
  }
}
